%{?nodejs_find_provides_and_requires}

%global packagename foreground-child
%global enable_tests 0
# tests disabled to bootstrap a newer npm(tap)

Name:		nodejs-foreground-child
Version:	1.5.6
Release:	6%{?dist}
Summary:	Run a child as if it's the foreground process

License:	ISC
URL:		https://github.com/isaacs/foreground-child.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(cross-spawn-async)
BuildRequires:	npm(signal-exit)
%if 0%{?enable_tests}
BuildRequires:	npm(tap)
%endif

%description
Run a child as if it's the foreground process.  Give it stdio.  Exit when it
exits.


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package

%nodejs_fixdep cross-spawn


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tap --coverage test/*.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon May 08 2017 Jared Smith <jsmith@fedoraproject.org> - 1.5.6-1
- Update to upstream 1.5.6 release

* Wed Jul 13 2016 Jared Smith <jsmith@fedoraproject.org> - 1.5.3-1
- Update to upstream 1.5.3 release

* Sat Feb 13 2016 Jared Smith <jsmith@fedoraproject.org> - 1.3.5-1
- Update to upstream 1.3.5 release

* Tue Oct 27 2015 Jared Smith <jsmith@fedoraproject.org> - 1.3.1-1
- Initial packaging
- Disable tests until we can rebuild a newer npm(tap)
